package eu.semiramis.attribute;

import java.util.Locale;

import eu.semiramis.util.file.FileUtil;
import eu.semiramis.util.xstream.XStreamUtil;

public class FileAttributeBean extends AttributeBean{
	private String attributeFileName = null;
	private byte[] attributeFileByteArray = null;

	public AttributeBean translate(AttributeBean toAttributeBean, String fromResourceBundleBaseName, Locale fromLocale, String toResourceBundleBaseName, Locale toLocale) throws Exception {
		if (toAttributeBean instanceof FileAttributeBean){
			toAttributeBean = this;
		}
		return toAttributeBean;
	}
	
	
	public byte[] getAttributeFileByteArray() {
		return attributeFileByteArray;
	}

	public void setAttributeFileByteArray(byte[] attributeFileByteArray) {
		this.attributeFileByteArray = attributeFileByteArray;
	}

	public String getAttributeFileName() {
		return attributeFileName;
	}

	public void setAttributeFileName(String attributeFileName) {
		this.attributeFileName = attributeFileName;
	}

	
	public static void main(String[] args){
		try {
			FileAttributeBean fileAttributeBean = new FileAttributeBean();
			fileAttributeBean.setAttributeId("jpg");
			fileAttributeBean.setAttributeFileName("sample.jpg");
			fileAttributeBean.setAttributeFileByteArray(FileUtil.loadAsByteArray("C:/temp/skype1.jpg"));
			XStreamUtil.saveXmlBeanInstance(fileAttributeBean, "D:/semiramis/projectDev/devConfig/AttributeBean/imageAttributeBean_pdf.xml");
		} catch (Exception e){
			e.printStackTrace();
		}
	}

	
}
