package eu.semiramis.util.xstream;


import com.thoughtworks.xstream.XStream;
import eu.semiramis.util.file.FileUtil;

public class XStreamUtil {
	public static Object loadXmlBeanInstanceFromFilePath(String filePath) throws Exception{
		String xmlStream = FileUtil.loadAsStream(filePath);
		XStream xStream = new XStream();
		Object xmlBeanInstance = xStream.fromXML(xmlStream);
		return xmlBeanInstance;
	}
	public static Object loadXmlBeanInstanceFromStream(String xmlStream) throws Exception{
		XStream xStream = new XStream();
		Object xmlBeanInstance = xStream.fromXML(xmlStream);
		return xmlBeanInstance;
	}
	
	
	public static void saveXmlBeanInstance(Object object, String xmlFilePath) throws Exception{
		XStream xStream = new XStream();
		String xmlStream = xStream.toXML(object);
		FileUtil.save(xmlFilePath, xmlStream);
	}
	
	public static String toXml(Object object){
		XStream xStream = new XStream();
		String xmlStream = xStream.toXML(object);
		return xmlStream;
	}
}
