package eu.semiramis.attribute;

import java.util.Date;
import java.util.Locale;

import eu.semiramis.util.xstream.XStreamUtil;

public class OriginAttributeBean extends AttributeBean{
	
	
	private String eIdentifier = null;
//	private String givenName = null;
//	private String surname = null;
//	private String inheritedFamilyName = null;
//	private String adoptedFamilyName = null;
//	private LabelAttributeBean gender = null;
//	private String nationalityCode = null;
//	private LabelAttributeBean maritalStatus = null;
//	private Date dateOfBirth = null;
//	private String countryCodeOfBirth = null;
//	private Integer age = null;
//	private Boolean isFullAge = null;
//	private String textResidenceAddress = null;
//	private String canonicalResidenceAddress = null;
//	private String countryCodeAddress = null;
//	private LabelAttributeBean state = null;
//	private String municipalityCode = null;
//	private LabelAttributeBean town = null;
//	private String postalCode = null;
//	private String streetName = null;
//	private String streetNumber = null;
//	private String apartmentNumber = null;
//	private String residencePermit = null;
//	private String eMail = null;
//	private String title = null;
	

	
	
	
	private LabelAttributeBean labelAttributeBean = null;

	public AttributeBean translate(AttributeBean toAttributeBean, String fromResourceBundleBaseName, Locale fromLocale, String toResourceBundleBaseName, Locale toLocale) throws Exception {
		if (toAttributeBean instanceof OriginAttributeBean){
			toAttributeBean = this;
		} else if (toAttributeBean instanceof TargetAttributeBean){
			LabelAttributeBean labelAttributeBean = new LabelAttributeBean();
			labelAttributeBean.setAttributeId("copiado del origen");
			labelAttributeBean.setAttributeLabel(this.getLabelAttributeBean().getAttributeLabel());
			((TargetAttributeBean)toAttributeBean).setLabelAttributeBean(labelAttributeBean);
			((TargetAttributeBean)toAttributeBean).setAttributeId("copiado desde destino");
			
			
			
			
			TargetAttributeBean targetAttributeBean = (TargetAttributeBean) toAttributeBean;
			targetAttributeBean.setEIdentifier(this.getEIdentifier());
			
			toAttributeBean = (AttributeBean) targetAttributeBean;
			
		}
		return toAttributeBean;
	}
	
	


	public LabelAttributeBean getLabelAttributeBean() {
		return labelAttributeBean;
	}




	public void setLabelAttributeBean(LabelAttributeBean labelAttributeBean) {
		this.labelAttributeBean = labelAttributeBean;
	}






	public static void main(String[] args){
		try {
			LabelAttributeBean labelAttributeBean = new LabelAttributeBean();
			labelAttributeBean.setAttributeId("originLabel");
			labelAttributeBean.setAttributeLabel("originLabel");
			OriginAttributeBean originAttributeBean = new OriginAttributeBean();
			originAttributeBean.setAttributeId("origin");
			originAttributeBean.setLabelAttributeBean(labelAttributeBean);
			XStreamUtil.saveXmlBeanInstance(originAttributeBean, "D:/semiramis/projectDev/devConfig/AttributeBean/originAttributeBean.xml");
		} catch (Exception e){
			e.printStackTrace();
		}
	}


	
	
	public String getEIdentifier() {
		return eIdentifier;
	}
	public void setEIdentifier(String eIdentifier) {
		this.eIdentifier = eIdentifier;
	}
}
